Bug 92046 - [patch] Add support for NetBSD
Summary: [patch] Add support for NetBSD
Status: RESOLVED FIXED
Alias: None
Product: PolicyKit
Classification: Unclassified
Component: daemon (show other bugs)
Version: unspecified
Hardware: All NetBSD
: medium normal
Assignee: David Zeuthen (not reading bugmail)
QA Contact: David Zeuthen (not reading bugmail)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-19 09:25 UTC by OBATA Akio
Modified: 2015-10-01 19:39 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Add support for NetBSD (5.98 KB, patch)
2015-09-19 09:25 UTC, OBATA Akio
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description OBATA Akio 2015-09-19 09:25:02 UTC
Created attachment 118360 [details] [review]
Add support for NetBSD

Patches for NetBSD, ride with other *BSD.
Comment 1 Miloslav Trmac 2015-09-24 14:23:51 UTC
Comment on attachment 118360 [details] [review]
Add support for NetBSD

Review of attachment 118360 [details] [review]:
-----------------------------------------------------------------

Thanks for the patch.

Do you want to provide a new tested version without that OS_TYPE_NETBSD line, or shall I just remove it and commit it untested? Either way is fine with me.

::: configure.ac
@@ +472,4 @@
>  AM_CONDITIONAL(OS_TYPE_PARDUS, test x$with_os_type = xpardus, [Running on Pardus OS'es])
>  AM_CONDITIONAL(OS_TYPE_SOLARIS, test x$with_os_type = xsolaris, [Running os Solaris OS'es])
>  AM_CONDITIONAL(OS_TYPE_FREEBSD, test x$with_os_type = xfreebsd, [Running on FreeBSD OS'es])
> +AM_CONDITIONAL(OS_TYPE_NETBSD, test x$with_os_type = xnetbsd, [Running on NetBSD OS'es])

OS_TYPE_* are not used anywhere, so this is not necessary. (None of the others are necessary either, let’s at least not add more.)
Comment 2 OBATA Akio 2015-09-25 04:48:40 UTC
Yes, please drop it and commit.

I've tested without the line, and added it to follow others.
Comment 3 Miloslav Trmac 2015-10-01 19:39:23 UTC
Committed, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.